#body_content {
    padding: 1rem 2rem 2rem;
}

#filter_section, #sort_section, #output_section {
    border-radius: 0.5rem;
    padding: 1rem;
    box-shadow: inset 2px 2px 6px rgba(0,0,0,.4);
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.get_data_container, .download_data_container {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.get_data_container > input[type=button], .download_data_container > input[type=button] {
    display: inline-block;
    width: 14rem;
    text-align: left;
}

#display_format, #download_format {
    display: inline-block;
    width: 20rem;
}

#filter_section {
    padding-top: 0rem;
    background-color:rgba(0,160,52,.3);
}

#sort_section {
    padding-top: 0rem;
    background-color:rgba(204,219,241,1);
}

#output_section {
    padding-top: 0rem;
    background-color:rgba(224,224,224,1);
}

#result_section {
    margin-top: 0.5rem;
    overflow-x: scroll;
}

.result_table {
    white-space: nowrap;
}

.result_table th {
    background-color: #F8F8F8 !important;
}

#paging_current_page, #paging_last_page {
    display: inline-block;
    width: 5rem;
}

#paging_current_page {
    text-align: right;
}

.paging_subsection {
    display: inline;
}

#output_section .output_row {
    display: inline-block;
}

#output_section label {
    display: inline-block;
    width: 10rem;
}

.section_label {
    padding-top: 0.5rem;
    margin-bottom: 0.25rem;
}

.query_button_container {
    margin: auto;
    width: 100%;
}

.query_button_container input {
    display: inline-block;
    padding: 0.5rem;
    box-sizing: border-box;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    width: 18rem;
}

.select_column, .filter_dropdown {
    width: 20rem !important;
    display: inline-block !important;
}

.filter_string_comparison, .filter_dropdown_comparison, .sort_order_select {
    width: 10rem !important;
    display: inline-block !important;
}

.filter_string {
    width: 10rem !important;
    display: inline-block !important;
}

.filter_row {
    padding: 5px 5px 5px 10px;
}

.filter_row:hover {
    background-color: #00AA0020;
}

.filter_row input[type=button] {
    width: 2rem;
}

.and_or_container {
    width: 4rem;
    display: inline-block;
}

.filter_row .and_or_container .and_button {
    width: 4rem;
    text-align: right;
}

.filter_row .and_or_container .or_button_v1 {
    width: 4rem;
    margin-left: 2rem;
}

.filter_row .and_or_container .or_button {
    width: 4rem;
    text-align: right;
}

#saved_queries {
    width: 20rem !important;
}

.paren_button {
    width: 1.2rem !important;
    margin-right: 0.2rem;
    margin-left: 0.2rem;
}

.paren_indent {
    width: 1.6rem;
    display: inline-block;
}

.add_paren_button_v1 {
    width: 1rem !important;
    color: gray;
    height: 1rem;
    float: right;
}

.add_paren_button {
    float: right;
    margin-right: 0.2rem;
}

.paren_highlight {
    border: 1px solid red;
    background: #ffffff00;
    position: absolute;
    display: block;
    z-index: -1;
}

#paren_error {
    color: red;
}

.delete_button {
    float: right;
}

.collapse_button {
    background:none;
    border:none;
}

.cursor_pointer {
    cursor: pointer;
}

#result_container {
    user-select: none;
}

.result_card {
    border-bottom: 1px solid lightgray;
    padding: 0.5rem;
    margin-top: 0.1rem;
}

.result_card_row {
    display: grid;
    grid-template-columns: 16rem auto;
}

.result_label {
    align-self: end;
}

.result_value {
    align-self: end;
}

.result_card_line_1 .result_value {
    font-weight: bold;
}

.d-block-on-mobile {
    display: none;
}

@media (max-width: 992px) {
    .d-none-on-mobile {
        display: none;
    }
    .d-block-on-mobile {
        display: block;
    }
    .select_column {
        width: 10rem !important;
    }
    .filter_string_comparison, .filter_dropdown_comparison {
        width: 5rem !important;
    }
    .sort_order_select {
        width: 4rem !important;
    }
    .filter_string, .filter_dropdown {
        width: 10rem !important;
    }
    .query_button_container input {
        padding: 0.5rem;
        width: 100%;
    }
    #paging_container {
        display: flex;
        justify-content: center;
    }
    #body_content {
        padding: 0.0rem 0.5rem 0.5rem;
    }
    #paging {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    #saved_queries {
        display: block;
        width: 100% !important;
    }
    #display_format, #download_format {
        display: block;
        width: 100% !important;
        margin-bottom: 0.25rem;
    }
    #query_history_container {
        display: block !important;
    }
    #query_history_container_2 {
        display:grid;
        grid-template-columns: auto 5rem;
        margin-top: 0.25rem;
        margin-bottom: 0.25rem;
    }
    .result_card_row {
        display: grid;
        grid-template-columns: 8rem auto;
    }

}

@media (max-width: 800px) {
    .add_paren_button {
        display: none;
    }
}


.admin_body_div {
    padding: 1rem;
}
.admin_body_div h2 {
    margin-top: 1.0rem;
}

.admin_body_div table th,td {
    border: 1px solid lightgray;
}

.user_card_label {
    display: inline-block;
    width: 6rem;
    margin-top: 0.5rem;
}

.user_card_multiple_select > div {
    vertical-align: top;
}

.user_card_multiple_select > select {
    margin-top: 0.5rem;
}

.user_card_title {
    cursor: pointer;
}

.user_card {
    border-bottom: 1px solid lightgray;
}

.user_card input[type=text], select {
    width: 14rem;
}

.user_controls_existing {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.user_controls_existing input[type=button], .user_controls_new input[type=button] {
    width: 15rem;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.user_disabled {
    color: gray;
}

#upgrade_table input[type=button] {
    width: 7rem;
    white-space: normal;
}

#saved_query_limit_message {
    color: gray;
}

#saved_queries {
    display: inline-block;
    width: fit-content;
}

#saved_query_container {
    margin-top: 0.25rem;
    margin-bottom: 0.25rem;
}

.saved_query_label {
    width: 7rem;
}

#query_history {
    display: inline-block;
    width: 100%;
}

#query_history_container {
    display:grid;
    grid-template-columns:7.25rem auto;
}

#query_history_container_2 {
    display:grid;
    grid-template-columns:auto 5rem;
}

#query_history_container_2 > input {
    margin-left: 0.25rem;
}

[data-tooltip] {
    display: inline-block;
}

[data-tooltip]:hover::after {
    display: block;
    position: absolute;
    content: attr(data-tooltip);
    border: 1px solid black;
    background: #eee;
    padding: .25em;
    overflow: visible;
    white-space: normal;
    max-width: 20rem;
}

.user_restrictions {
    display: inline-block;
    max-width: 20rem;
    overflow: clip;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.login {
    background-image: url('pexels-photo-5926256.webp');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    background-size: cover;
}

.login_box {
    background: white;
    margin: auto;
    margin-top: 60px;
    width: 90%;
    max-width: 360px;
    border: 1px solid black;
    padding: 10px;
}

.login_box h1 {
    text-align: center;
}

.login_box_input {
    display: block;
    margin-bottom: 20px;
    width: 100%;
    box-sizing: border-box;
    margin-top: 5px;
}

.login_float_right {
    display: block;
    float: right;
    /* background: aqua;*/
}

.login_button {
    display: block;
    padding: 10px;
    margin-top: 30px;
    margin-bottom: 20px;
    width: 100%;
    box-sizing: border-box;
    /*background: #87cefa;
    border: #77beea 2px solid;
    border-radius: 10px;*/
}

.login_button:hover {
    /*background: #77beea;*/
}
.login_register {
    display: block;
    text-align: center;
}

.error_message {
    color: red;
}

.tutorial_section_button {
    width: 90%;
    margin: 0.5rem;
    text-align: left;
}

#account_menu {
    position: absolute;
    width: 100%;
}

#account_menu > .dropdown-menu {
    display: block;
    position: relative;
    float: right;
    padding: 10px;
    margin-right: 0.5rem;
    width: 300px;
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.2);
}

.tos_checkbox {
    display: block;
    padding: 10px;
    border: 1px solid gray;
    text-align: left;
    margin-bottom: 1.5rem;
}

.tos_checkbox > input {
    width: 1.5rem;
    height: 1.5rem;
    float: left;
    margin-right: 1rem;
    margin-top: 0.0rem;
    cursor: pointer;
}

.tos_checkbox:hover {
    background-color: lightgray;
    border: 1px solid gray;
}

.tos_checkbox:active {
    background-color: lightgray !important;
    border: 1px solid gray;
}

.tos_style h1 {
    border-bottom: 1px solid black;
    font-size:  2.5rem;
}

.tos_style h1:not(:first-child) {
    margin-top: 2.5rem;
}

.tos_style h2 {
    color: black;
    font-weight: bold;
    font-size:  1.2rem;
    margin-top: 1.5rem;
}